Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# MediaTimer Class Reference

`#include <media_timer.h>`

List of all members.

## Public Methods
| MediaTimer ()
virtual | ~MediaTimer ()
virtual ACE_UINT32 | media_ts ()
virtual ACE_UINT32 | ref_ts ()
ACE_UINT32 | offset () const
## Static Public Methods
MediaTimer * | instance ()
## Protected Attributes
ACE_UINT32 | offset_
## Static Private Attributes
MediaTimer * | instance_

## Constructor & Destructor Documentation

MediaTimer::MediaTimer | ( |  | ) |

MediaTimer::~MediaTimer | ( |  | ) | `[virtual]`

## Member Function Documentation

MediaTimer* MediaTimer::instance | ( |  | ) | `[inline, static]`

ACE_UINT32 MediaTimer::media_ts | ( |  | ) | `[virtual]`

ACE_UINT32 MediaTimer::offset | ( |  | ) | const`[inline]`

ACE_UINT32 MediaTimer::ref_ts | ( |  | ) | `[virtual]`

## Member Data Documentation

MediaTimer * MediaTimer::instance_`[static, private]`

ACE_UINT32 MediaTimer::offset_`[protected]`

The documentation for this class was generated from the following files:

- media_timer.h
- media_timer.cpp